Asset Relations
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List relations for an item (source + target)#
GET
/lists/items/{itemId}/relationsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/lists/items/{itemId}/relations" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a relation between items#
POST
/lists/items/{itemId}/relationsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
target_item_idPflicht | string | – |
relation_type_idPflicht | string | – |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/lists/items/{itemId}/relations" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"target_item_id":"…","relation_type_id":"…"}'Delete a relation#
DELETE
/lists/items/relations/{relationId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
relationIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/lists/items/relations/{relationId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"